void savedata()
{
 
JSONVar boardat;
if(min1<10)
{boardat["Time"] = String(hour1)+":0"+String(min1); 
}
else
{
  boardat["Time"] = String(hour1)+":"+String(min1); 
}
boardat["temperatura"] =String(t1)+" C";
boardat["humidity"] = String(h1)+" %";
tempdat = JSON.stringify(boardat);
 Serial.println (tempdat);
   esp_task_wdt_reset();//reset WDT
//JSON { "Time":"11:03", "temperatura":"10.56 C", "humidity":"7,56 %" },
tempdat=tempdat+"\n";

//myFile = SD.open("/07.txt",FILE_WRITE);
 // myFile = SD.open("/TEMPUL/28.txt", FILE_APPEND);//открываем файл в режиме добавления данных
 // myFile = SD.open("/TEMPUL/2022/FEB/27.txt", FILE_APPEND);//открываем файл в режиме добавления данных

// Serial.println ("open07");
// myFile.print(tempdat+"\n");
// myFile.close();
 //Serial.println (stamp.year);
//************************************************************************************************************************************************************************************************************************************
 Serial.println ("name2");
//  String name1="/TEMPUL"+ stryen[stamp.year-2014]+strmen[stamp.month-1]+strden[stamp.day-1];
// Serial.println (name2);
createDir(SD, "/TEMPUL");
String name1="/TEMPUL"+ String(stryen[stamp.year-2014]);//2022
 char Buf[50];
 name1.toCharArray(Buf, 50);
 Serial.println (Buf);
createDir(SD, Buf);
 name1=name1+String(strmen[stamp.month-1]);//FEB
 name1.toCharArray(Buf, 50);
  Serial.println (Buf);
 createDir(SD, Buf);
 name1=name1+String(strden[stamp.day-1]);//27
 name1.toCharArray(Buf, 50);
  Serial.println (Buf);
 createDir(SD, Buf);

 name1=name1+String(strdaten[0]);//
 name1.toCharArray(Buf, 50);
//createDir(SD, "/TEMPUL/2022/FEB/27");
// name1="/TEMPUL"+ String(stryen[stamp.year-2014])+String(strmen[stamp.month-1])+String(strden[stamp.day-1])+String(strdaten[0]);
 Serial.println (Buf);
appendFile(SD,Buf,tempdat.c_str());//добавление на инфы в файл
  
/*
//test = strcat(name1,name2);
String name1=strcat("/TEMPUL", stryen[stamp.year-2014]);
String name2=strcat(strmen[stamp.month-1], strd[stamp.day-1]);

//+strm[stamp.month-1]+strd[stamp.day-1];

 String name1="/TEMPUL"+ stry[stamp.year-2014]+strm[stamp.month-1]+strd[stamp.day-1];
 Serial.println (name2);
char Buf[50];
  name1.toCharArray(Buf, 50);  
createDir(SD, Buf);

name1=name1+ name2+strdaten[0];
 Serial.println (name1);
name1.toCharArray(Buf, 50);
*/

//****************************************************
}



void readdata()
{
  //****************************************************
String name1="/TEMPUL"+ String(stryen[stamp.year-2014])+String(strmen[stamp.month-1])+String(strden[stamp.day-1])+String(strdaten[nti]);
 char Buf[50];
name1.toCharArray(Buf, 50);
 
 myFile = SD.open(Buf, FILE_READ);
  while(myFile.available()) {
    Serial.write(myFile.read());
  }
  Serial.println(" ");   
 // Узнаем размер файла:
  Serial.print("File size: ");
           //  "Размер файла: "
  Serial.println(myFile.size());
 myFile.close();

strdat="";

 Serial.println("/TEMPUL/D-2022/FEBR/27/T1.txt");
 myFile = SD.open(Buf, FILE_READ);
 while(myFile.available()) {
      strdat+=char(myFile.read());
       }
      myFile.close();

  esp_task_wdt_reset();//reset WDT


 board1["tdata"] = strdat; 
   board1["dataserv"] = dataserv;
     board1["timeserv"] = timeserv;
jsonString1 = JSON.stringify(board1);
 // Serial.println (jsonString1);
 // Serial.println ("strdat=");
 //Serial.println (strdat);
  
 // events.send(tempdat.c_str(), "readings", millis());//обновление веба
  // events.send(strdat.c_str(), "readings", millis());//обновление веба
}
